ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c Ce programme cree un fichier lisible pour le programme geonew.c
c qui calcule le igrf 2000. Le fichier de sortie est t.in
c Pour obtenir le fichier des anomalies magnetiques utilisables par MatlaB,
c la procedure est:
c                 mag01 < file.mag
c mag01 ---> creation d'un fichier t.in
c                geonew > filei.mag   
c       ---> creation du fichier des anomalies mag.dat
c Rq: le Fichier 'igrf' est indispensable au fonctionnement de geonew
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
      program mag01
      implicit real*8 (a-h,o-z)
      character*50 nomfic
c
c      write(*,*) 'input file '
c      read(*,'(a)') nomfic

c      open(unit=10,file=nomfic,status='old')
      open(unit=20,file='t.in')
   10 continue
      read(*,1000,end=999) kyear,kmonth,kday,khour,kmin,xlon,xlat,xmag
1000  format(i4,t6,i2,t9,i2,t12,i2,t15,i2,t21,f12.7,t34,f11.7,t46,f7.1)
      write(20,2000) kyear,kmonth,kday,xlat,xlon,xmag
      goto 10
  999 continue
      close(10)
      close(20)
 2000 format(i4,2i4,2f12.5,f10.2)
      stop
      end
